import {Component, EventEmitter, Input, OnDestroy, OnChanges, OnInit, Output} from '@angular/core';
import * as _ from 'lodash'; 

@Component({
  selector: 'app-form',
  templateUrl: './form.component.html',
  styleUrls: ['./form.component.scss']
})
export class FormComponent implements OnInit, OnChanges, OnDestroy {

  titleObj = {
    audio_url: 'http://iplayabc-courseware.oss-cn-beijing.aliyuncs.com/dev/imman/audios/d108d5d06105fda0526059a3e372f926.mp3',
    content: 'what is this?&nbsp;',
    icons: [],
    type: 'a'
  }; 

  constructor() { 


  }

  ngOnInit() {
  }

  ngOnChanges() {

  }

  ngOnDestroy() {

  }

  updateTitleObjSuccess(titleObj) {
    
  }

  onTitleAudioUploadSuccess(res) {
    
  }

  save() {
    
  }

}
